<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_4cb84eb74ebb3a0cd6e531eaa" . "8157092" => base64_decode("YXBwX2Zv" . "cnVt"), "_76b2584d18510f887f4" . "a6f6b81f96952" => base64_decode("Y29tbW9uLmhlYWRlci5mb3J1b" . "Q=="), "_d36d5ad3900b42" . "9055d2ab305b68b" . "dbd" => base64_decode("Zm9ydW1fbWVzc2FnZQ" . "=="), "_0c5123aa744" . "f69bbc0e8b3e" . "a2f6e847d" => base64_decode("bG1z" . "Zw=="));
use Claromentis\Search\ItemType;






class ForumApplication implements ApplicationInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_d36d5ad3" . "900b42905" . "5d2ab305b" . "68bdbd"] => function () {
            return new ItemType\ForumMessage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_0c5123aa744f69bbc0e8b3ea2f6e84" . "7d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_76b2584d18510f887f4a6f6b81f9695" . "2"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_4cb84eb74ebb3a0cd6e531eaa815" . "7092"];
    }
}